
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用Java实现面向对象编程(2) / 憋错料</title>

    <meta name="description" content="使用Java实现面向对象编程(2) super的概念: a. super.方法名 调用父类的方法 b. super() 表示调用父类的构造方法 在构建子类对象时 会默认创建父类的对象 无论是否强制写了super() 无法被继承的事物: 1.私有化的属性OR 方法2.访问权限 3.构造方法 (当一个对象被创建的时候 才会执行 无需继承) 本类            同包中            不同包的子类          不同包中private                      可以            不可以    ">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">使用Java实现面向对象编程(2)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>super的概念：</p>
<p>a. super.方法名 调用父类的方法</p>
<p>b. super() 表示调用父类的构造方法<br />    在构建子类对象时  会默认创建父类的对象  无论是否强制写了super（）</p>
<p>无法被继承的事物：</p>
<p>1.私有化的属性OR 方法<br />2.访问权限&nbsp;<br />3.构造方法   （当一个对象被创建的时候  才会执行   无需继承）</p>
<p>本类 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;同包中 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;不同包的子类 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;不同包中<br />private &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;可以 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;不可以 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 不可以 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;不可以<br />默认的 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 可以 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;可以 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;不可以 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;不可以<br />protected &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;可以 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;可以 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;可以 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;不可以<br />public &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;可以 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;可以 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;可以 &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;可以</p>
<p>构造方法的执行顺序（带上静态块内容）</p>
<p>首先从父类-》子类   静态块的内容优先依次执行</p>
<p>构造方法从父类--&gt;子类   依次执行</p>
<p>重写<br />子类继承父类 重写父类的同名方法   如果强行重写 会丢失父类方法的引用</p>
<p>抽象类和抽象方法</p>
<p>1.在父类中定义了一个抽象方法 那么子类必须实现这个方法<br />2.父类有抽象方法  那么这个父类一定是抽象类<br />3.如果子类不选择实现这个方法 子类就必须定义成抽象类</p>
<p>判断：</p>
<p>抽象类中一定有抽象方法             （F）    可有可无<br />       有抽象方法的类一定是抽象类          （T）</p>
<p>final</p>
<p>1.定义在属性上    表示这个属性的值不允许改动<br />2.定义在类上     表示这个类是最终版本  无法被继承<br />3.定义在方法上    表示这个方法是无法被子类重写<br />4.定义在构造方法上（无意义 直接报错）</p>
<p>8种基本数据类型：<br />整型   byte  short  int  long<br />浮点型  float  double<br />字符型   char<br />布尔型    boolean</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 16:13:37 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/ble/" title="ble">ble</a>, <a href="https://www.biecuoliao.com/tag/%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="数据类型">数据类型</a>, <a href="https://www.biecuoliao.com/tag/%e5%b1%9e%e6%80%a7/" title="属性">属性</a>, <a href="https://www.biecuoliao.com/tag/ted/" title="ted">ted</a>, <a href="https://www.biecuoliao.com/tag/%e7%89%88%e6%9c%ac/" title="版本">版本</a>, <a href="https://www.biecuoliao.com/tag/bool/" title="bool">bool</a>, <a href="https://www.biecuoliao.com/tag/float/" title="float">float</a>, <a href="https://www.biecuoliao.com/tag/%e5%90%8c%e5%90%8d/" title="同名">同名</a>, <a href="https://www.biecuoliao.com/tag/%e5%ad%97%e7%ac%a6%e5%9e%8b/" title="字符型">字符型</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>使用Java实现面向对象编程(2)的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NApPZ3.html" rel="bookmark">关于java中面向对象编程的一点点小感悟！！！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				断断续续接触java已经有半年的时间,当然中间也有过很多事情,不得已而中断了java的学习.当初刚刚接触到java的时候,总是不能理解java的面向对象编程优点.平常生活中我们做事情的思维方式都是面向过程的,就拿最简单的我要上一个培训班来说: 第一步:当然得是网上.贴吧.朋友的口中来了解这个辅导班,以此来决定是否需要上这个辅导班. 第二步:当然就是当了解完成之后,对这个辅导班比较满意.自己就需要做准备来达到辅导班的要求,比如说学费.复习知识,准备参加辅导班规定的考试. 第三步:当然就是付诸实践,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rkLRg4.html" rel="bookmark">JAVA的面向对象编程--------课堂笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JAVA的面向对象编程--------课堂笔记 面向对象主要针对面向过程. 面向过程的基本单元是函数.   什么是对象:EVERYTHING IS OBJECT(万物皆对象)   所有的事物都有两个方面: 有什么(属性):用来描述对象. 能够做什么(方法):告诉外界对象有那些功能. 后者以前者为基础. 大的对象的属性也可以是一个对象.   为什么要使用面向对象: 首先,面向对象符合人类看待事物的一般规律. 对象的方法的实现细节是屏蔽的,只有对象方法的实现者了解细节. 方法的定义非常重要.方法有参			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wB77b0.html" rel="bookmark">JAVA的面向对象编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面向对象主要针对面向过程. 面向过程的基本单元是函数. 什么是对象:EVERYTHING IS OBJECT(万物皆对象) 所有的事物都有两个方面: 有什么(属性):用来描述对象. 能够做什么(方法):告诉外界对象有那些功能. 后者以前者为基础. 大的对象的属性也可以是一个对象. 为什么要使用面向对象: 首先,面向对象符合人类看待事物的一般规律. 对象的方法的实现细节是屏蔽的,只有对象方法的实现者了解细节. 方法的定义非常重要.方法有参数,也可能有返回值. 注意区分:对象(本身).对象的实现者.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3r8R2lM.html" rel="bookmark">Accp8&period;0 S2 02使用Java实现面向对象编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对象和封装类和对象使用对象的目地:用计算机语言描述现实世界用计算机语言解决现实世界的问题使用面向对象的好处:交流更加流畅提高设计和开发效率怎样实现面向对象编程找出类找出属性(变量)找出行为(方法)类图:&quot;+&quot;为public 公开的&quot;-&quot;为private私有的this关键字,是对一个对象的默认引用,用以区分同名成员变量this关键字,代表当前对象(当前成员变量)构造方法和重载首先对象实例化构造方法无参构造语法访问修饰符 构造方法名(){}作用给成员属性默认赋初始值有参			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xGVLLM.html" rel="bookmark">Java基础--面向对象编程1（类与对象）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.类(class)的定义 类是对一组具有相同特征和行为的对象的抽象描述. 在程序中,引入类的概念,就是为了快速生成更多的具有相同特性和行为的事物. 2.对象(object)的定义 对象是类的具体实现,表示一个独立的.唯一的个体,具有属性和方法. 3.属性和方法 属性:在程序中类或者对象具有的特征,具体对象的属性拥有的数据称为属性值. 方法:类或者对象的行为. 4.定义类和对象 创建1个Student的类,类的属性有学号(sid).姓名(name).年龄(age).性别(gender),类中声明			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/417QoY0.html" rel="bookmark">使用Java实现面向对象编程&mdash;&mdash;第四章 异常</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 接口:接口就是给出一些没有内容的方法,封装到一起,到某个类要使用的时候,在根据具体情况把这些方法写出来. 接口是更加抽象的抽象的类, 抽象类里的方法可以有方法体, 接口里的所有方法都没有方法体. 接口体现了程序设计的多态和高内聚低偶合的设计思想. 接口是一种规范和标准,他们可以约束类的行为,是一些方法特征的集合,但是没有方法的实现. 接口可以看作一种特殊的&quot;抽象类&quot;,但是采用与抽象类按群不同的语法来表示: 抽象类有利于代码的重用,接口有利于代码的扩展和维护: 接口的特性: 接口不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YGYBa4.html" rel="bookmark">使用Java实现面向对象编程&lpar;12&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这里是对之前的总结: 1-4:封装:1.现实世界中抽象出类:a.发现一个物体----&gt;类b.从物体上寻找它的属性---&gt;属性c.从物体上寻找它的行为---&gt;方法 2.new在java语言中 当想要调用类中的方法OR属性 需要实例化这个对象 3.构造函数a.public修饰 方法名和类名相同 没有返回b.系统默认提供无参的构造c.如果手动(强行)编写构造方法 系统提供的无参构造将消失d.用来执行类中的属性初始化的操作e.new 构造方法() 4.statica.作用在属性 方法 stati			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Ky2LL4.html" rel="bookmark">使用Java实现面向对象编程&lpar;4&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				接口:1.修饰符采用interface2.接口中所有的方法都是抽象方法(不允许包含方法体) 方法不需要强制编写abstract3.接口中所有的变量都是常量 public static final 修饰 并不需要强制编写4.采取面向接口的编程(提倡) 接口 变量名 = new 接口实现()5.接口不允许被实例化 (不能被new)6.接口的实现类 必须重写接口中所有的方法7.接口不允许实现接口 接口可以继承接口8.抽象类可以实现接口 9.接口中不允许有构造方法 抽象类允许有构造方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02DzVp4.html" rel="bookmark">使用Java实现面向对象编程&lpar;10&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看文件的属性: System.out.println(f.getName()); //文件名 System.out.println(f.length()); //字节大小 System.out.println(f.getAbsolutePath());//绝对路径 System.out.println(f.canRead()); //文件是否可读 System.out.println(f.canWrite()); //是否可写 System.out.println(f.isDirectory()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rB7Ka3.html" rel="bookmark">【好程序员笔记分享】java之面向对象编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/j4NjDy4.html" rel="bookmark" class="title">&lbrack;LeetCode&rsqb;Binary Tree Level Order Traversal II</a>
					<div>
						Binary Tree Level Order Traversal II Given a binary tree, return the bottom-up level order traversal ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0nWOK3.html" rel="bookmark" class="title">iOS--页面间的代理传值（属性、代理（委托）、代码块、单例、通知）</a>
					<div>
						(一)属性传值 第二个界面中的lable显示第一个界面textField中的文本 首先我们建立一个RootViewControllers和一个DetailViewControllers,在Detail ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jk15YM.html" rel="bookmark" class="title">ACM学习历程&mdash;HDU5407 CRB and Candies（数论）</a>
					<div>
						Problem Description CRB has N different candies. He is going to eat K candies.He wonders how many co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02DL1E4.html" rel="bookmark" class="title">我眼中的IBM之三：人事制度I</a>
					<div>
						因篇幅原因,本章分为两部分介绍,这一部分介绍聘用和考核制度,第二部分介绍升迁和薪酬福利制度. 聘用 IBM聘用的员工有固定工(Regular).合同工(Contractor)和实习生之分.合同工类似于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoGr7BM.html" rel="bookmark" class="title">OSChina 技术周刊第1 - 7 期</a>
					<div>
						OSChina 技术周刊第七期——每周技术精粹 - 开源中国社区 http://www.oschina.net/question/2012764_180907 OSChina 技术周刊第六期——Nod ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l5eQN3.html" rel="bookmark" class="title">Angular2学习笔记&mdash;&mdash;Observable</a>
					<div>
						Reactive Extensions for Javascript 诞生于几年前,随着angular2正式版的发布,它将会被更多开发者所认知.RxJs提供的核心是Observable对象,它是一个使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41BZPOM.html" rel="bookmark" class="title">关于图片轮播的几种思路</a>
					<div>
						图片轮播我们经常在众多网站中看到,各种轮播特效在有限的空间上展示了几倍于空间大小的内容,并且有着良好的视觉效果.很多初学js的小伙伴都会拿这个来练习.我也不例外,所以在此分享几个我写轮播图的过程,代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/478yvxM.html" rel="bookmark" class="title">AFNetworking网络请求的get和post步骤</a>
					<div>
						1.首先通过第三方:CocoaPods下载AFNetworking 1.1.先找到要查找的三方库:pod search + AFNetworking 1.2.出来一堆列表页面,选择三方库最新版本命令, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rZbmb3.html" rel="bookmark" class="title">redis数据淘汰策略</a>
					<div>
						volatile-lru:从已设置过期时间的数据集(server.db[i].expires)中挑选最近最少使用的数据淘汰volatile-ttl:从已设置过期时间的数据集(server.db[i]. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGR8oZ4.html" rel="bookmark" class="title">OpenStack之Swift学习</a>
					<div>
						Swift是OpenStack云存储服务的重要组件,它提供了高可用.分布式.持久性.大文件的对象存储服务.此外Swift还可以利用一系列的便宜硬件存储设备,提供安全.可靠的存储服务. 问:为什么使用S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzLdw83.html" rel="bookmark" class="title">Flume&plus;Kafka&plus;Storm&plus;Redis实时分析系统基本架构</a>
					<div>
						PS:历史原因作者账号名为:ymh198816,但事实上作者的生日并不是1988年1月6日 今天作者要在这里通过一个简单的电商网站订单实时分析系统和大家一起梳理一下大数据环境下的实时分析系统的架构模型 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZNJA83.html" rel="bookmark" class="title">Dubbo&plus;Spring整合 教你玩转分布式</a>
					<div>
						核心技术:Maven,Springmvc mybatis shiro, Druid, Restful, Dubbo, ZooKeeper,Redis,FastDFS,ActiveMQ,Nginx Je ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXqDQz0.html" rel="bookmark" class="title">终于装好了VS2013，开始！</a>
					<div>
						VS下载安装速度之慢我已不想吐槽,正式开始吧! 1. 新建一个项目: 2. 选择模板:Visual C# --&gt; 控制台应用程序,还可以为自己的项目重新命名.设定储存位置. 3. 模板出来啦!  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KvbqOM.html" rel="bookmark" class="title">android官方技术文档翻译&mdash;&mdash;Android Lint</a>
					<div>
						本文译自androd官方技术文档&lt;Android Lint&gt;,原文地址:http://tools.android.com/tips/lint. 本文地址:http://blog.csdn. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qR21P4.html" rel="bookmark" class="title">wp8&period;1 Study1： 页面导航&amp;amp&semi;页面间值传递</a>
					<div>
						摘要:wp8.1与wp8中很多API是不一样了,wp8.1把以前wp7.x时的api去掉了,更多与win8.1的API相似.比如以下的页面导航和页面之间的值传递 1.页面导航 利用Frame.Navi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLR2Qd3.html" rel="bookmark" class="title">SDRAM和重定位&lpar;三&rpar;---icache的开启和关闭</a>
					<div>
						这里只是简单的介绍下 icache,对于 icache和 dcache 以后有时间再去深入研究下.dcache 主要和虚拟内存管理(MMU)相关. 之所以会出现 cache,主要是为了解决 cpu 和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lN9eo4.html" rel="bookmark" class="title">linux系统 常见&sol;常用基础命令之 文件目录管理（创建，删除，查看，）</a>
					<div>
						1.与路径相关命令: mkdir  创建目录命令,常用P选项,递增创建,mkdir -v,显示创建过程,mkdir -vp,显示创建过程与直接创建. tree   树状显示,tree -c   树状显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ezxrv3.html" rel="bookmark" class="title">UVA - 1471 Defense Lines 树状数组&sol;二分</a>
					<div>
						                              Defense Lines After the last war devastated your country, you - as the ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dzJZB4.html" rel="bookmark" class="title">hdu 2191 多重背包 悼念512汶川大地震遇难同胞&mdash;&mdash;珍惜现在，感恩生活</a>
					<div>
						http://acm.hdu.edu.cn/showproblem.php?pid=2191 New~ 欢迎“热爱编程”的高考少年——报考杭州电子科技大学计算机学院关于2015年杭电ACM暑期集训队的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEjkyP0.html" rel="bookmark" class="title">这一年</a>
					<div>
						没人准备好才上路,都是边走边成长. 这句话是我昨天在微信中听到的.拍&lt;屌丝男士&gt;的董成鹏要当导演拍电影,但是感觉自己拍不好,拖了两个月直到最近才开拍,就在微信中说了这样一句话.这句话也是我 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
